import { Repository } from "typeorm";
import { User } from "../../common/vendor/user.entity";
import { CreateVendorDto, UpdateVendorDto } from "./vendor.dto";
import { Vendor } from "src/common/vendor/vendor.entity";
import { VendorPlan } from "src/common/vendor/vendor_plan.entity";
import { Shop } from "src/common/shop/shop.entity";
import { Review } from "src/common/review/review.entity";
import { Offer } from "src/common/offer/offer.entity";
import { ProductRequest } from "src/common/productrequest/productrequest.entity";
export declare class AdminVendorService {
    private readonly userRepository;
    private vendorRepository;
    private vendorPlanRepository;
    private offerRepository;
    private shopReviewRepository;
    private readonly productrequestRepository;
    private readonly shopRepository;
    private readonly logger;
    constructor(userRepository: Repository<User>, vendorRepository: Repository<Vendor>, vendorPlanRepository: Repository<VendorPlan>, offerRepository: Repository<Offer>, shopReviewRepository: Repository<Review>, productrequestRepository: Repository<ProductRequest>, shopRepository: Repository<Shop>);
    create(CreateVendorDto: CreateVendorDto): Promise<User>;
    findAll(): Promise<User[]>;
    findOne(id: number): Promise<User>;
    update(id: number, UpdateVendorDto: UpdateVendorDto): Promise<User>;
    updateUserStatus(userId: number, status: any): Promise<User>;
    remove(id: number): Promise<void>;
    private generateUserId;
    private hashPassword;
    getVendorDashboard(vendorId: number): Promise<any>;
}
